“ERROR: The certificate of ‘raw.githubusercontent.com’ is not trusted.” 解决办法

问题现象

新开机的服务器可能因为系统较为精简,在使用 wget 下载 Github 脚本时遇到错误:

ERROR: The certificate of ‘raw.githubusercontent.com’ is not trusted.

解决办法

  1. wget 后添加参数:--no-check-certificate 即可执行本次下载命令。

  2. 使用如下命令,安装 ca-certificates 以解决问题:

#Debian/Ubuntu
apt-get install [ca-certificates] -y

#CentOS
yum install ca-certificates -y

安装后使用 wget 下载 Https 链接时,即可不再需要上述额外操作,正常下载。

Leave a Reply

Your email address will not be published. Required fields are marked *